summaryrefslogtreecommitdiffstats
path: root/desktop/recoll
diff options
context:
space:
mode:
author titopoquito <titopoquito@cooltoad.com>2010-05-11 14:03:47 +0200
committer Eric Hameleers <alien@slackbuilds.org>2010-05-11 14:03:47 +0200
commit1dcd7db5a42d6df1dbc89f925991d02f9f0cd989 (patch)
treea730f487b47cc2d8fd9891cf2446041dea7ae1e3 /desktop/recoll
parentc0d21d2851f1f16362e28b7126558cc98418c818 (diff)
downloadslackbuilds-1dcd7db5a42d6df1dbc89f925991d02f9f0cd989.tar.gz
slackbuilds-1dcd7db5a42d6df1dbc89f925991d02f9f0cd989.tar.xz
desktop/recoll: Initial import
Diffstat (limited to 'desktop/recoll')
-rw-r--r--desktop/recoll/README28
-rw-r--r--desktop/recoll/recoll.SlackBuild82
-rw-r--r--desktop/recoll/recoll.info8
-rw-r--r--desktop/recoll/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/desktop/recoll/README b/desktop/recoll/README
new file mode 100644
index 0000000000..b1312e2f1a
--- /dev/null
+++ b/desktop/recoll/README
@@ -0,0 +1,28 @@
+recoll (personal full text search tool)
+
+Recoll is a personal full text search tool for Unix/Linux.
+It is based on the very strong Xapian backend, for which it
+provides an easy to use, feature-rich, easy administration,
+QT graphical interface.
+
+The homepage of recoll is found at http://www.lesbonscomptes.com/recoll/
+
+recoll depends on some other packages, that are not met by a
+standard Slackware install. All these should be covered by seperate
+build scripts. These dependencies are:
+
+Required:
+ xapian-core (http://www.xapian.org/)
+Optional:
+ antiword (http://www.winfield.demon.nl/)
+ unrtf (http://www.gnu.org/software/unrtf/unrtf.html)
+
+NOTE: As of the time of writing, recoll depends on version 0.9.10 of
+xapian-core, the newer 1.0.0 release does NOT work with this version
+of recoll.
+Else no incompatibilities are known.
+
+After installing the package you should create the file
+$HOME/.recoll/recoll.conf and modify it to your needs, especially the
+"topdirs" where recoll looks for files to index. See "man recoll.conf"
+for details.
diff --git a/desktop/recoll/recoll.SlackBuild b/desktop/recoll/recoll.SlackBuild
new file mode 100644
index 0000000000..47956eeb99
--- /dev/null
+++ b/desktop/recoll/recoll.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+# Slackware build script for recoll
+# Copyright 2007 by titopoquito (titopoquito@cooltoad.com)
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# ---------------------------------------------------------------------------
+# Modified by the SlackBuilds.org Project
+
+# Exit on most errors
+set -e
+
+PRGNAM=recoll # replace with name of program
+VERSION=1.8.1 # replace with version of program
+ARCH=${ARCH:-i486} # this should not change
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo} # the "_SBo" is required
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+# Fix the icon path in the .desktop file (Slackware 11.0 and earlier need it):
+sed -i -e "s#^Icon=recoll-searchgui#Icon=/usr/share/icons/hicolor/48x48/apps/recoll-searchgui.png#" $PKG/usr/share/applications/recoll-searchgui.desktop
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -name "*.?" -exec gzip -9 {} \;
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog COPYING INSTALL README VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/recoll/recoll.info b/desktop/recoll/recoll.info
new file mode 100644
index 0000000000..d7b2051528
--- /dev/null
+++ b/desktop/recoll/recoll.info
@@ -0,0 +1,8 @@
+PRGNAM="recoll"
+VERSION="1.8.1"
+HOMEPAGE="http://www.lesbonscomptes.com/recoll/"
+DOWNLOAD="http://www.lesbonscomptes.com/recoll/recoll-1.8.1.tar.gz"
+MD5SUM="4dc4b372a63ed16b27c6a731503afe2f"
+MAINTAINER="titopoquito"
+EMAIL="titopoquito@cooltoad.com"
+APPROVED="alien"
diff --git a/desktop/recoll/slack-desc b/desktop/recoll/slack-desc
new file mode 100644
index 0000000000..f912fe385a
--- /dev/null
+++ b/desktop/recoll/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+recoll: recoll (personal full text search tool)
+recoll:
+recoll: Recoll is a personal full text search tool for Unix/Linux.
+recoll: It is based on the very strong Xapian backend, for which it
+recoll: provides an easy to use, feature-rich, easy administration,
+recoll: QT graphical interface.
+recoll:
+recoll:
+recoll:
+recoll: http://www.lesbonscomptes.com/recoll/
+recoll: